ERIC5_DOC(1)

NAME
eric5_doc - eric5 documentation generator

SYNOPSIS
eric5_doc [options] files... where files can be be either Python modules, package directories or ordinary directories.

DESCRIPTION
This manual page documents briefly the eric5_doc command. This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has documentation provided in the file /usr/share/doc/eric/README-eric5-doc.txt.gz in plain text format.

eric5_doc is the documentation generator of the eric5 IDE. Source code documentation may be included as ordinary Python doc-strings or as documentation comments. For Quixote Template file (PTL) only documentation comments are available due to the inner workings of Quixote. Documentation comments start with the string ###, followed by the contents and ended by ###. Every line of the documentation comments contents must start with a # (see example below).

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-p prefix or --prefix=prefix
    Prepend given prefix to file names.

-o directory or --outdir=directory
    Generate files in the named directory.

-R, -r or --recursive
    Perform a recursive search for Python files.

-x directory or --exclude=directory
    Specify a directory basename to be excluded. This option may be repeated multiple times.

-i or --noindex
    Don't generate index files.

-e or --noempty
    Don't include empty modules.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

SEE ALSO
eric5(1), eric5_api(1), eric5_compare(1), eric5_configure(1), eric5_diff(1), eric5_editor(1), eric5_helpviewer(1), eric5_iconeditor(1), eric5_plugininstall(1), eric5_pluginrepository(1), eric5_pluginuninstall(1), eric5_qregexp(1), eric5_re(1), eric5_sqlbrowser(1), eric5_tray(1), eric5_trpreviewer(1), eric5_uipreviewer(1), eric5_unittest(1), eric5_webbrowser(1)

AUTHOR
This manual page was written by Torsten Marek <shlomme@gmx.net>, for the Debian project (but may be used by others).